TransportChannelProvider (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.TransportChannelProvider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport
Class TransportChannelProvider

    java.lang.Object
      org.codehaus.activemq.transport.TransportChannelProvider

public class TransportChannelProvider
extends Object

A TransportChannel is used for tranporting packets between nodes

Version:
  $Revision: 1.12 $

Constructor Summary
`TransportChannelProvider()`

Method Summary
`static TransportChannel` | `create(WireFormat wireFormat, URI remoteLocation)` Create a Channel to a remote Node - e.g.
`static TransportChannel` | `create(WireFormat wireFormat, URI remoteLocation, URI localLocation)` Create a Channel to a remote Node - e.g.
`protected static JMSException` | `createJMSexception(String protocol, Exception e)`
`static TransportChannelFactory` | `getFactory(URI remoteLocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransportChannelProvider

    public TransportChannelProvider()

Method Detail

### create

    public static TransportChannel create(WireFormat wireFormat,
                                          URI remoteLocation)
                                   throws JMSException

  Create a Channel to a remote Node - e.g. a Broker

  Parameters:
    `remoteLocation` -
  Returns:
    the TransportChannel bound to the remote node
  Throws:
    `JMSException`

### create

    public static TransportChannel create(WireFormat wireFormat,
                                          URI remoteLocation,
                                          URI localLocation)
                                   throws JMSException

  Create a Channel to a remote Node - e.g. a Broker

  Parameters:
    `remoteLocation` -
    `localLocation` - - e.g. local InetAddress and local port
  Returns:
    the TransportChannel bound to the remote node
  Throws:
    `JMSException`

### getFactory

    public static TransportChannelFactory getFactory(URI remoteLocation)
                                              throws JMSException

  Throws:
    `JMSException`

### createJMSexception

    protected static JMSException createJMSexception(String protocol,
                                                     Exception e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.